# Generated by Django 4.1.4 on 2023-01-02 10:08

from django.db import migrations


def ensure_no_malformed_applications_exist(apps, schema_editor):
    MalformedApplication = apps.get_model("applications", "MalformedApplication")
    if MalformedApplication.objects.exists():
        raise Exception(
            "MalformedApplication found, cannot drop table. Resolve it before migrating"
        )


class Migration(migrations.Migration):
    dependencies = [
        ("applications", "0040_alter_application_homepage"),
    ]

    operations = [
        migrations.RunPython(ensure_no_malformed_applications_exist),
        migrations.DeleteModel(
            name="MalformedApplication",
        ),
    ]
